Subject: Re: New packge: lighttpd-1.3.0
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Wed, 22 Sep 2004 11:50:16 +0200

Hello R.,

Am Mittwoch, 22. September 2004 um 02:33 schriebst du:

> Hi Gerrit,

>> But why wait for me?  Try it yourself?  No problem that
>> cannot be discussed at this list (as long as it is about problems with
>> building some open sourced code for cygwin).

> Well, I'll give it a go...

> I just downloaded the latest cygwin + gnu toolset. The lighttpd package is also
> installed.

> I also downloaded and built the fastcgi dev. Kit
> (http://www.fastcgi.com/dist/fcgi.tar.gz)

That is interesting, is this needed?  For lighttpd or for PHP?
I remember that I have  read at lightthpd docs that you just need to
configure with these options:

$ ./configure \
  --enable-fastcgi \
  --enable-discard-path \
  --enable-force-cgi-redirect \
  ...

http://jan.kneschke.de/projects/lighttpd/documentation/fastcgi.html#preparing-php-as-a-fastcgi-program

> I then grabbed the latest 4.3.8 php source tarball, un-tarred it and built it as
> follows:

> # ./configure --enable-fastcgi --enable-force-cgi-redirect --with-layout=GNU
> --with-pgsql

See above.  What is the difference with layout GNU and layout PHP?

> # make
> # make install

> # php -v
> PHP 4.3.8 (cgi-fcgi) (built: Sep 22 2004 00:46:39)
> Copyright (c) 1997-2004 The PHP Group
> Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies

> Well, that seems to work.

Wow, I'm impressed.

> I then downloaded and installed spawn-fcgi from the lighttpd project download
> page and built and installed it.
> (http://jan.kneschke.de/projects/lighttpd/download/spawn-fcgi-1.2.0.tar.gz)

Therefore the first fastcgi package is needed?

> I ran the PHP fastcgi interface like this:

> # spawn-fcgi.exe -f /usr/local/bin/php -p 1026 -C 5
> spawn-fcgi.c.150: child spawned successfully: PID: 5824

Yes, great.

> I also grabbed the spawn-php.sh example script
> (http://jan.kneschke.de/projects/lighttpd/download/spawn-php.sh) but this didn't
> seem to work.

Tried to use #!/bin/bash instead of /bin/sh?

> I then configured lighttpd to use the fastcgi for php and created sample file
> info.php in the home directory of the web site containing:

> <?php
>   phpinfo();
?>>

> When I opened by web browser to localhost I saw the php configuration page. It
> works!

Hurra!

> Not sure where to go with this now - I'll try setting up a php application that
> uses a database or something.

> Any suggestions?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/